Subject: bug#19390: 25.0.50; `package-activate' is too slow

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Dec 2014 18:16:48 -0500

> Yes, I originally used `expand-file-name', but
> `package--list-loaded-files' would miss some files if there was a
> symlink in the path. (I specifically observed this, it's not just
> theory).

Do you remember the scenario where you saw that?  Normally, the
load-history contains the file names using the directory names that
appear in load-path, so while they're not "canonical", as long as we
stick to using file name relative to directories in `load-path' it
seems that the cases where two files are really the same and we don't
detect it should be rather rare.

        Stefan